---
title: PerformanceServerTiming.duration
slug: Web/API/PerformanceServerTiming/duration
tags:
  - API
  - Property
  - Reference
  - ServerTiming
---
<div>{{APIRef("Resource Timing API")}}</div>

<p>The <strong><code>duration</code></strong> read-only property returns a double that contains the server-specified metric duration, or value <code>0.0</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>serverTiming</em>.duration;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Server Timing','#dom-performanceservertiming-duration', 'duration')}}</td>
   <td>{{Spec2('Server Timing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceServerTiming.duration")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PerformanceServerTiming")}}</li>
 <li>{{HTTPHeader("Server-Timing")}}</li>
</ul>
